# $Revision: 1.15 $, $Date: 2006/03/27 12:41:29 $
Summary:	It's a GTK+ interface to MySQL/PostgreSQL databases
Summary(pl):	Interfejs GTK+ do baz danych MySQL/PostgreSQL
Name:		dbui
Version:	0.4.0
Release:	4
License:	GPL
Group:		Applications/Databases/Interfaces
Source0:	http://spyder.virtualbeer.net/dbui/%{name}-%{version}.tar.gz
# Source0-md5:	962828bfc9bdb64697111624090bcfef
URL:		http://spyder.virtualbeer.net/dbui/
BuildRequires:	gtk+-devel
BuildRequires:	mysql-devel
# BuildRequires:	postgresql-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
It's a GTK+ interface to MySQL/PostgreSQL databases. You might say a
database editor. It's still in its very early stages but you can fully
search, update, add, and delete any MySQL/PostgreSQL database.

%description -l pl
To jest interfejs GTK+ do baz danych MySQL/PostgreSQL. Mona go nazwa
edytorem baz danych. Nadal jest we wstpnym stadium rozwoju, ale mona
ju przeszukiwa, uaktualnia, dodawa i usuwa z baz
MySQL/PostgreSQL.

%package mysql
Summary:	dbui linked with MySQL
Summary(pl):	dbui skonsolidowane z MySQL
Requires:	%{name} = %{version}
Group:		Applications/Databases/Interfaces

%description mysql
dbui linked with MySQL.

%description mysql -l pl
dbui skonsolidowane z MySQL.

%package postgresql
Summary:	dbui linked with PostgreSQL
Summary(pl):	dbui skonsolidowane z PostgreSQL
Requires:	%{name} = %{version}
Group:		Applications/Databases/Interfaces

%description postgresql
dbui linked with PostgreSQL.

%description postgresql -l pl
dbui skonsolidowane z PostgreSQL.

%prep
%setup  -q

%build
%{__make} -f Makefile.mysql
mv -f dbui dbui.mysql

#due to incompatibility with latest postgres libraries it doesn't compile
#correctly
# %{__make} -f Makefile.postgres
# mv -f dbui dbui.postgresql

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install dbui.mysql $RPM_BUILD_ROOT%{_bindir}
# install dbui.postgresql $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README

%files mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dbui.mysql

# %files postgresql
# %defattr(644,root,root,755)
# %attr(755,root,root) %{_bindir}/dbui.postgresql

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dbui.spec,v $
Revision 1.15  2006/03/27 12:41:29  glen
- rel 4 (libmysqlclient_15)

Revision 1.14  2005/10/27 17:38:43  arekm
- rel 3

Revision 1.13  2005/02/12 19:50:02  arekm
- rel ++

Revision 1.12  2004/10/28 12:31:46  paladine
- "PostgreSQL" unification

Revision 1.11  2004/10/28 12:22:22  paladine
- "MySQL" unification

Revision 1.10  2004/10/28 09:58:30  paladine
- "GTK+" unification (hope thats all)

Revision 1.9  2004/09/24 13:18:34  radek
- massive: missing %defattr (or related cosmetics)

Revision 1.8  2003/10/25 13:25:41  ankry
- pl: linkowanie -> konsolidacja, shell -> powoka

Revision 1.7  2003/07/08 00:05:10  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.6  2003/05/28 12:58:49  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:46:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/01/18 22:46:43  juandon
- removed two lines with define

Revision 1.3  2002/10/10 13:20:36  marcus
- use new %%doc

Revision 1.2  2002/02/25 13:26:10  qboosh
- pl translation, cosmetics

Revision 1.1  2002/02/24 18:16:47  bonkey
- initial spec from scratch
- STBR
